Saltar al contenido principal
POST
/
v1
/
midjourney
/
generations
/
remix-strong
curl --request POST \
  --url https://api.apimart.ai/v1/midjourney/generations/remix-strong \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "task_id": "task_<v8_imagine_id>",
    "index": 1,
    "speed": "fast"
  }'
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_01KV52C0TEJSYZMCG0NCS4YWKK"
    }
  ]
}
curl --request POST \
  --url https://api.apimart.ai/v1/midjourney/generations/remix-strong \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "task_id": "task_<v8_imagine_id>",
    "index": 1,
    "speed": "fast"
  }'
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_01KV52C0TEJSYZMCG0NCS4YWKK"
    }
  ]
}
El “reshape” del panel v8 — regenera la imagen padre y puede cambiar el prompt. Solo disponible para tareas padre v8 / v8.1; para padres v7 / v6 use Variation / High Variation.
POST /v1/midjourney/generations/remix-strong
POST /v1/midjourney/generations/remix-subtle
El panel v8 eliminó U1-U4 / pan / zoom / outpaint / inpaint. Reemplazos: variación → Variation / High Variation, reshape → este endpoint, regenerar → Reroll.
ItemValor
actionREMIX_STRONG / REMIX_SUBTLE
Facturaciónmidjourney@remix_strong[-speed] / midjourney@remix_subtle[-speed]
Requeridotask_id + index

Parámetros

CampoTipoRequeridoPredeterminadoDescripción
task_idstringTarea padre (v8 / v8.1 imagine SUCCESS)
indexintCuál baldosa padre reformar (14)
promptstringNo(hereda del padre)Nuevo prompt para el reshape; si está vacío, usa el prompt del padre
speedstringNorelaxrelax / fast / turbo

Comparación de intensidad

EndpointopCantidad de cambioAnalogía
/remix-strongremixStrongCambio grande, composición / estilo pueden variarComo High Variation (fuerte)
/remix-subtleremixSubtleCambio pequeño, mantiene sujeto / tonoComo Variation (sutil)

Ejemplo de solicitud

Reshape fuerte:
{
  "task_id": "task_<v8_imagine_id>",
  "index": 1,
  "speed": "fast"
}
Un prompt personalizado se aplica y puede cambiar el estilo / añadir detalles.

Respuesta

El envío devuelve una nueva task_id local; sondee GET /v1/tasks/{task_id}, y al tener SUCCESS incluye 4 imágenes reformadas.

Notas

  • Solo funcionan padres v8 / v8.1; un padre no v8 devuelve 400.
  • Para padres v7 / v6 use Variation / High Variation / Low Variation.